import HttpError from "../server/HttpError.ts";
import RestRequest from "../server/RestRequest.ts";
import RestResponse from "../server/RestResponse.ts";
import Router from "../server/Router.ts";

export default class AppRouter extends Router {
    public onError(_req: RestRequest, error: unknown): RestResponse | HttpError | Promise<RestResponse | HttpError> {
        if (error instanceof HttpError) return new HttpError({ error: error.body }, error.status);
        return super.onError(_req, error);
    }
}