import { AfterViewInit, Component, ElementRef, ViewChild } from '@angular/core';
import { UsersService } from './services/users.service';
import { ScrollService } from './services/scroll.service';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.scss']
})
export class AppComponent implements AfterViewInit {
    @ViewChild('container') container!: ElementRef<HTMLDivElement>;

    public ngAfterViewInit(): void {
        this.scroll.scrollHost = this.container.nativeElement;
    }

    constructor(
        public users: UsersService,
        public scroll: ScrollService
    ) { }
}
